#!/usr/bin/env python

"""
See README for the semantics.  This creates principals
using ID and write out the credential file pair, cert/privkey
"""
import os
import ABAC

ctxt = ABAC.Context()

jackID=ABAC.ID("Jack", 0)
jackID.id_write_cert("Jack_ID.pem")
jackID.id_write_privkey("Jack_private.pem")

bobID=ABAC.ID("Bob", 0)
bobID.id_write_cert("Bob_ID.pem")
bobID.id_write_privkey("Bob_private.pem")

markID=ABAC.ID("Mark2", 0)
markID.id_write_privkey("Mark2_IDKEY.pem")
markID.id_write_cert("Mark2_IDKEY.pem")

johnID=ABAC.ID("John2", 0)
johnID.id_write_cert("John2_other.pem")

tomID=ABAC.ID("Tom2", 0)
tomID.id_write_privkey("Tom2_IDKEY.pem")

loriID=ABAC.ID("Lori2", 0)
loriID.id_write_cert("Lori2_IDKEY.pem")


